A.I.Studio : Products : WatzNew™ Documentation : Index

WatzNew™
WatzNew™ Your Smart Web Site Monitoring Agent™ A.I.Studio Creative software development
Index | Owner's Manual | FAQ | Version History | Purchase | Web Site (online)
WatzNew™ Documentation > Index

Index

  • Index
  • Owner's Manual
    • Getting started
      • What can WatzNew™ do?
      • What are channels?
      • How can WatzNew™ notify me about changes?
      • How to make good channels?
    • Working with channels
      • How to sort channels in list?
    • Search patterns and message templates
      • Search pattern and message template macros
      • Complex example of using search patterns
    • Dialog windows
      • Folder Properties
        • 'General' Tab
      • Channel Properties
        • 'General' Tab
        • 'Intervals & Alerts' Tab
        • 'Search Pattern' Tab
        • 'Message Template' Tab
        • 'Actions' Tab
      • Mailbox Channel Properties
        • 'General' Tab
        • 'Intervals & Alerts' Tab
        • 'Actions' Tab
      • Perl Script Channel Properties
        • 'General' Tab
        • 'Intervals & Alerts' Tab
        • 'Perl Script' Tab
        • 'Message Template' Tab
        • 'Actions' Tab
    • Customizing WatzNew™
      • How to add custom folder icons?
  • FAQ
  • Version History
    • Version 1.8
    • Version 1.7
    • Version 1.6
    • Version 1.5
    • Version 1.4
    • Version 1.3
    • Version 1.2
    • Version 1.1 Final Release
    • Version 1.1 Pre-Release 2
    • Version 1.1 Pre-Release 1
    • Version 1.0.3
    • Version 1.0.2
    • Version 1.0.1
    • Version 1.0.0 build 153
    • Version 1.0.0 build 149
  • Purchase
  • Web Site (online)

See next

Index

Owner's Manual

FAQ

Version History

Purchase

Web Site (online)

© 1998–2002 A.I.Studio. All rights reserved.
Contacts | Legal Information


A.I.Studio : Products : WatzNew™ Documentation : Company Profile

WatzNew™ Documentation > Company Profile

Company Profile

# Contact Information

A.I.Studio, founded in December, 1997, is a software design company located in Moscow, Russia.

A.I.Studio is focused on the development of high-quality applications as well as UI design for third-party companies. We develop applications and interfaces with power and functionality in mind, yet easy-to-use to support power users and novices alike.

A.I.Studio's award winning program WatzNew™ enables individuals and organizations to easily track any information on the Web, making their Internet experience more productive. We are able to meet increasing demand for high quality software solutions, while ensuring a positive experience and fast yet qualitative customer support. Our products are offered in several languages to support international clientele.

Contact Information

Should you have any questions, please contact us:

General questions: info@watznew.com
Sales department: sales@watznew.com
Support team: support@watznew.com
Translation requests: translation@watznew.com

See next

Index

Owner's Manual

FAQ

Version History

Purchase

Web Site (online)


A.I.Studio : Products : WatzNew™ Documentation : FAQ

Index | Owner's Manual | FAQ | Version History | Purchase | Web Site (online)
WatzNew™ Documentation > FAQ

FAQ

# General Questions
# What is the best way to create my own channels?
# Can I monitor documents via FTP or HTTPS protocol?
# I've created my channel, but WatzNew tells me that it is updated every time it re-checks the channel. Why?
# Under Windows XP, WatzNew™ connects to web sites very slowly. Why?
# National Languages Support
# WatzNew™ doesn't display my national characters in channels. How can I fix this?
# I have downloaded the translated version of WatzNew™, but it doesn't display my national characters in dialogs and menus. Why?
# Under Windows XP, WatzNew™ still doesn't display my national characters in dialogs. Any ideas?
# Atomic Time Synchronization Feature
# Where can I find a list of SNTP time servers?
# Integration with Perl
# I do not have Perl installed on my machine. Will WatzNew™ work without it?
# Where can I find Perl for the Windows platform?

If you did not find an answer to your particular question, feel free to contact our Support Team. Please also consult the WatzNew™ Owner's Manual, because it can answer many of your questions.

General Questions

What is the best way to create my own channels?

See the How to make good channels? section for more info.

Can I monitor documents via FTP or HTTPS protocol?

Yes and No. Currently, WatzNew™ itself supports HTTP protocol only. But you can always use Perl scripts to perform advanced tasks like these.

I've created my channel, but WatzNew tells me that it is updated every time it re-checks the channel. Why?

This kind of behavior occurs if you try to monitor server-generated pages using the 'ю Notify me on general changes' option in channel properties.

You should create a search pattern for this channel (which will show you the exact changes you want to be notified of) and disable the 'ю Notify me on general changes' option. See Search pattern and message template macros section for more info.

Under Windows XP, WatzNew™ connects to web sites very slowly. Why?

Windows XP has a feature called 'Internet Connection Firewall'. When tured on, it can make programs to stuck while connecting to Internet. Try to disable this feature. Do the following:

  1. Choose 'Settings' ® 'Network and Dial-up Connections' from the Start menu.
  2. Select the Connection you want to change.
  3. Pull down the 'Network Tasks' menu to 'Change settings of this connection'.
  4. Click on the 'Advanced' tab at the top of the window.
  5. Under Internet Connection Firewall, uncheck 'ю Protect my computer and network by limiting or preventing access to this computer from the Internet' check box.

National Languages Support

WatzNew™ doesn't display my national characters in channels. How can I fix this?

Please make sure you have the right font charset (script) in WatzNew™ Scheme.

  1. Open 'Tools' ® 'Fonts & Colors...' dialog window (Ctrl+F9).
  2. Select the 'Folder Properties' tab ® 'Title' sub-tab.
  3. In the 'Font' section, click the button to select the font.
  4. In the Font dialog see the 'Script' drop-down list. Choose the appropriate script from the list and press 'OK' button.
  5. Then switch to 'Message' sub-tab and do the same thing.
  6. Then switch to 'Channel Properties' tab and do the same thing for 'Title' and 'Message' sub-tabs also.

I have downloaded the translated version of WatzNew™, but it doesn't display my national characters in dialogs and menus. Why?

Please see the previous paragraph to make sure you have the right font charset (script) in WatzNew™ Scheme.

Under Windows XP, WatzNew™ still doesn't display my national characters in dialogs. Any ideas?

Do the following:

  1. Open Control Panel ® 'Regional and Language Options' from the Start menu.
  2. Select the 'Advanced' tab.
  3. In the 'Language for non-Unicode programs' section, select the appropriate language from the list and press 'OK' button.
  4. Restart WatzNew™.

Atomic Time Synchronization Feature

Where can I find a list of SNTP time servers?

For a list of public SNTP time servers please visit the following page:
http://www.eecis.udel.edu/~mills/ntp/servers.htm

Integration with Perl

I do not have Perl installed on my machine. Will WatzNew™ work without it?

Yes. WatzNew™ can use Perl to perform some advanced tasks, but it will perfectly run without Perl installed.

Where can I find Perl for the Windows platform?

You can download ActivePerl from ActiveState's web site. It's free.

See next

Index

Owner's Manual

FAQ

Version History

Purchase

Web Site (online)


A.I.Studio : Products : WatzNew™ Documentation : Owner's Manual

Index | Owner's Manual | FAQ | Version History | Purchase | Web Site (online)
WatzNew™ Documentation > Owner's Manual

Owner's Manual

Please read this documentation carefully because it can answer many of your questions. If you still can't solve the problem, contact our Support Team. Bug reports and suggestions are welcome too.

  • Getting started
    • What can WatzNew™ do?
    • What are channels?
    • How can WatzNew™ notify me about changes?
    • How to make good channels?
  • Working with channels
    • How to sort channels in list?
  • Search patterns and message templates
    • Search pattern and message template macros
    • Complex example of using search patterns
  • Dialog windows
    • Folder Properties
      • 'General' Tab
    • Channel Properties
      • 'General' Tab
      • 'Intervals & Alerts' Tab
      • 'Search Pattern' Tab
      • 'Message Template' Tab
      • 'Actions' Tab
    • Mailbox Channel Properties
      • 'General' Tab
      • 'Intervals & Alerts' Tab
      • 'Actions' Tab
    • Perl Script Channel Properties
      • 'General' Tab
      • 'Intervals & Alerts' Tab
      • 'Perl Script' Tab
      • 'Message Template' Tab
      • 'Actions' Tab
  • Customizing WatzNew™
    • How to add custom folder icons?

See next

Index

Owner's Manual

  • Getting started
  • Working with channels
  • Search patterns and message templates
  • Dialog windows
  • Customizing WatzNew™

FAQ

Version History

Purchase

Web Site (online)


A.I.Studio : Products : WatzNew™ Documentation : How to add custom folder icons?

WatzNew™ Documentation > Owner's Manual > Customizing WatzNew™ > How to add custom folder icons?

How to add custom folder icons?

WatzNew™ comes with a set of predefined folder icons. However, you can add your own icons.

Each icon must be a 24x24 pixel size non-compressed Windows Bitmap (.bmp) file, that should be placed in the \images sub-directory under the directory WatzNew™ has been installed to. Normally this should be c:\Program Files\WatzNew\images. Just copy the bitmap file there and it will be avaliable after WatzNew™ is restarted.

Important notes:

  • Your icon must have the exact size of 24x24 pixels, otherwise it won't be loaded.
  • WatzNew™ assumes that bitmap has a transparent background and takes the background color from the lower left pixel. Thus, all pixels that have the same color will appear transparent.
  • WatzNew™ has a set of built-in icons with the following names:
    • default.bmp ("closed folder" image)
    • default2.bmp ("open folder" image)
    • weather.bmp
    • hardware.bmp
    • newspaper.bmp
    • football.bmp
    • zipdisk.bmp
    • stats.bmp
    • letter.bmp
    • boy.bmp
    • heart.bmp
    • house.bmp

    If your bitmap will have one of these names, it will replace the built-in icon.

See next

<...>

How to add custom folder icons?

© 1998–2002 A.I.Studio. All rights reserved.
Contacts | Legal Information


A.I.Studio : Products : WatzNew™ Documentation : Channel Properties

WatzNew™ Documentation > Owner's Manual > Dialog windows > Channel Properties

Channel Properties

  • 'General' Tab
  • 'Intervals & Alerts' Tab
  • 'Search Pattern' Tab
  • 'Message Template' Tab
  • 'Actions' Tab

See next

<...>

Folder Properties

Channel Properties

  • 'General' Tab
  • 'Intervals & Alerts' Tab
  • 'Search Pattern' Tab
  • 'Message Template' Tab
  • 'Actions' Tab

Mailbox Channel Properties

Perl Script Channel Properties


A.I.Studio : Products : WatzNew™ Documentation : 'Actions' Tab

WatzNew™ Documentation > Owner's Manual > Dialog windows > Channel Properties > 'Actions' Tab

'Actions' Tab

# List Of Actions
# Friendly Name
# Action Type
# Parameters
# Default Action
# Run automatically
# Hide from context menu
# Place to 'Other Actions' sub-menu
# Buttons
# [Help]
# [OK]
# [Cancel]

Channel Properties Window -> 'Actions' Tab

List Of Actions

Here you define a list of up to 10 actions. Actions are used to simplify or automate some tasks you wish to do when a channel is updated. On the right you will see four buttons to add, move up, move down and delete actions. When you select action in list, it's properties will appear in the fields below.

Friendly Name

This is the name of your action as it will appear in channel's context menu. You can use %1, %2, %3, ... placeholders for your parameters here.

Action Type

There are three types of actions:

  • Launch mailer: This action will launch your mailer (if it is set in WatzNew Settings ® 'E-mail' tab ® 'Executable' field). You can specify optional parameters to pass to application in 'Parameters' field.
  • Launch browser: This action will launch a new browser window (if it is set in WatzNew Settings ® 'Browser' tab ® 'Executable' field). You can specify optional parameters (URL) to pass to your browser in 'Parameters' field.
  • Execute custom command: This action will launch a command specified in 'Parameters' field. The behaviour will be the same as if you typed the commands in 'Start' ® 'Run...' menu. Typically, if you enter some URL starting with http://, your default browser will load the specified URL. You can also launch any executable file using this type of action.

Parameters

Here you specify the parameters for your action. The meaning of the parameter depends on your action type. You can use %1, %2, %3, ... placeholders for your parameters here.

Default Action

Check this box to make the action the default one. Default action is launched when you double-click on your channel in list. Default action appears as bold in list and channel's context menu.

Run automatically

Set this option to run action automatically when channel is updated.

Hide from context menu

Set this option to hide action from channel's context menu. Option is useful for actions that are set to run automatically.

Place to 'Other Actions' sub-menu

Use this option to make this action appear in 'Other Actions' sub-menu of channel's context menu. If you set many actions for your channel, you might need to arrange your actions placing some rarely used actions to this sub-menu.

Buttons

[Help]

Open this help page.

[OK]

Save changes and close the Channel Properties window.

[Cancel]

Abandon changes and close the Channel Properties window.

See next

<...>

'General' Tab

'Intervals & Alerts' Tab

'Search Pattern' Tab

'Message Template' Tab

'Actions' Tab

© 1998–2002 A.I.Studio. All rights reserved.
Contacts | Legal Information


A.I.Studio : Products : WatzNew™ Documentation : 'General' Tab

WatzNew™ Documentation > Owner's Manual > Dialog windows > Channel Properties > 'General' Tab

'General' Tab

# Channel Title
# Connection
# Host
# Port
# Path
# Login
# Password
# User Agent
# Load range (in bytes)
# [Verify Range Syntax]
# KOI-8 Encoding (Russian)
# [Open Page In Browser]
# [View Html Source]
# Buttons
# [Help]
# [OK]
# [Cancel]

Channel Properties Window -> 'General' Tab

Channel Title

Specify friendly channel title as it will appear in channels list.

Connection

Here you specify the adrress of a web page you want to monitor and some other parameters.

Host

Host (server) part of URL (e.g. www.altavista.com). You should not specify the http:// prefix here. Only HTTP servers are supported for this channel type.

Port

Port part of the URL (typically this value should be 80).

Path

Path to the desired web document (text, html, xml, script, or any other text document; e.g. news/index.htm). Path can have optional parameters after the ? symbol (e.g. cgi-bin/query?q=myword). These parameters are used in scripts or dynamicaly generated pages. Path can be blank if you want to access the root document on a server. You should not specify the leading slash / here.

Login

Login for loading password-protected pages. WatzNew uses 'Basic' HTTP authentication scheme when sending Login/Password to server.

Password

Password (for password-protected pages).

User Agent

You can select different browser identification strings from a predefined set or enter your own string for each channel. Useful when downloading web pages from sites that dynamically change their content depending on browser types, or allow viewing their pages with specific browsers only.

Load range (in bytes)

This option allows you to load only the part of a document. Using this option is very useful since it speeds up checking the channel. For more info see the How to make good channels? section.

[Verify Range Syntax]

Use this button to verify range syntax. Consult How to make good channels? section for more info.

KOI-8 Encoding (Russian)

Used to auto-translate pages in KOI-8 codepage to Win-1251.

[Open Page In Browser]

Click this button to test your channel's connection settings. The specified document will be opened in your browser.

[View Html Source]

This button will load the specified document and show it's content and server response header in a separate window. Use it to test your channel's connection settings and to define search patterns. See Search pattern and message template macros section for more info. You should be connected to Internet to view the page source.

Buttons

[Help]

Open this help page.

[OK]

Save changes and close the Channel Properties window.

[Cancel]

Abandon changes and close the Channel Properties window.

See next

<...>

'General' Tab

'Intervals & Alerts' Tab

'Search Pattern' Tab

'Message Template' Tab

'Actions' Tab


A.I.Studio : Products : WatzNew™ Documentation : 'Intervals & Alerts' Tab

WatzNew™ Documentation > Owner's Manual > Dialog windows > Channel Properties > 'Intervals & Alerts' Tab

'Intervals & Alerts' Tab

# Intervals
# Check every ...
# Alert & Display Modes
# No action / Flashing tray icon / Popup window / Popup hint (Win2K only) / Play sound
# Alert On Errors
# Alert On General Changes
# Always visible in list
# Buttons
# [Help]
# [OK]
# [Cancel]

Channel Properties Window -> 'Intervals & Alerts' Tab

Intervals

Check every ...

Specify the channel update interval. We suggest to specify intervals about 2...3 times shorter than the average time between target page updates. In example, if you want to monitor weather conditions on some web site that updates information every 3 hours, set your interval to 1...1.5 hours. The shorter interval would be, the faster you will know that the page has been updated.

Alert & Display Modes

No action / Flashing tray icon / Popup window / Popup hint (Win2K only) / Play sound

Set the alert mode for your channel. See How can WatzNew™ notify me about changes? section for more info.

Alert On Errors

When an HTTP error occurs during the channel check, the alert box is displayed with the HTTP error code. This can be useful to be notified immediately when the page has been moved (HTTP error codes 3xx) or deleted from server (HTTP error code 404).

Alert On General Changes

When turned on, WatzNew™ will check the page for general changes and inform you of updates. This is the simplest way to monitor your pages for updates, but not the efficient one, because most dynamically generated pages change their size or content every time you download them (in example, pages that have visitor counters, random quotations or news, etc.). To make your channel more "clever", you should define Search pattern and message template macros for it. Once your search pattern is defined, you should turn this option off to avoid false alerts.

Always visible in list

This option tells you to make channel always visible in list, even when you select '¤ Show All But Disabled' or '¤ Show Updated Only' filtering modes.

Buttons

[Help]

Open this help page.

[OK]

Save changes and close the Channel Properties window.

[Cancel]

Abandon changes and close the Channel Properties window.

See next

<...>

'General' Tab

'Intervals & Alerts' Tab

'Search Pattern' Tab

'Message Template' Tab

'Actions' Tab


A.I.Studio : Products : WatzNew™ Documentation : 'Message Template' Tab

WatzNew™ Documentation > Owner's Manual > Dialog windows > Channel Properties > 'Message Template' Tab

'Message Template' Tab

# Message Template
# Message Preview
# Buttons
# [Help]
# [OK]
# [Cancel]

Channel Properties Window -> 'Message Template' Tab

Message Template

Enter your message template here. Message template consists of your custom text, enriched with a subset of html tags and can contain %1, %2, %3, ... placeholders for your parameters, retrieved by the search pattern. Message pattern tells WatzNew™ how to render your channel in the list. To learn more about search patterns and message templates, see the Search pattern and message template macros section.

Message Preview

This field will show you the html-formatted template with all parameters substituted. It will update itself automatically while you edit the message template in the upper field.

Buttons

[Help]

Open this help page.

[OK]

Save changes and close the Channel Properties window.

[Cancel]

Abandon changes and close the Channel Properties window.

See next

<...>

'General' Tab

'Intervals & Alerts' Tab

'Search Pattern' Tab

'Message Template' Tab

'Actions' Tab


A.I.Studio : Products : WatzNew™ Documentation : 'Search Pattern' Tab

WatzNew™ Documentation > Owner's Manual > Dialog windows > Channel Properties > 'Search Pattern' Tab

'Search Pattern' Tab

# Search Pattern
# [Load Document And Perform Search]
# Preserve <B>...</B>, ... tags
# Parameters Found
# Buttons
# [Help]
# [OK]
# [Cancel]

Channel Properties Window -> 'Search Pattern' Tab

Search Pattern

The first field is used to specify the search pattern. Search pattern is a rule, that tells WatzNew™, what exact text from the page to retrieve. To learn more about search patterns and message templates, see the Search pattern and message template macros section.

[Load Document And Perform Search]

Click this button to load document source and perform search. The part of a text, which matches the serach pattern, will appear highlighted with different colors. You should be connected to Internet to perform search.

Preserve <B>...</B>, ... tags

Checking this option will tell WatzNew™ not to filter out these tags from found parameters.

Parameters Found

After the search is performed, you will see here the list of parameters retrieved. Parameters will have their names —%1, %2, %3 and so on. These names you will be use in message template to insert the parameter text into resulting report. See Search pattern and message template macros section for more info.

Buttons

[Help]

Open this help page.

[OK]

Save changes and close the Channel Properties window.

[Cancel]

Abandon changes and close the Channel Properties window.

See next

<...>

'General' Tab

'Intervals & Alerts' Tab

'Search Pattern' Tab

'Message Template' Tab

'Actions' Tab


A.I.Studio : Products : WatzNew™ Documentation : Customizing WatzNew™

WatzNew™ Documentation > Owner's Manual > Customizing WatzNew™

Customizing WatzNew™

  • How to add custom folder icons?

See next

<...>

Getting started

Working with channels

Search patterns and message templates

Dialog windows

Customizing WatzNew™

  • How to add custom folder icons?


A.I.Studio : Products : WatzNew™ Documentation : Dialog windows

WatzNew™ Documentation > Owner's Manual > Dialog windows

Dialog windows

  • Folder Properties
    • 'General' Tab
  • Channel Properties
    • 'General' Tab
    • 'Intervals & Alerts' Tab
    • 'Search Pattern' Tab
    • 'Message Template' Tab
    • 'Actions' Tab
  • Mailbox Channel Properties
    • 'General' Tab
    • 'Intervals & Alerts' Tab
    • 'Actions' Tab
  • Perl Script Channel Properties
    • 'General' Tab
    • 'Intervals & Alerts' Tab
    • 'Perl Script' Tab
    • 'Message Template' Tab
    • 'Actions' Tab

See next

<...>

Getting started

Working with channels

Search patterns and message templates

Dialog windows

  • Folder Properties
  • Channel Properties
  • Mailbox Channel Properties
  • Perl Script Channel Properties

Customizing WatzNew™


A.I.Studio : Products : WatzNew™ Documentation : Folder Properties

WatzNew™ Documentation > Owner's Manual > Dialog windows > Folder Properties

Folder Properties

  • 'General' Tab

See next

<...>

Folder Properties

  • 'General' Tab

Channel Properties

Mailbox Channel Properties

Perl Script Channel Properties


A.I.Studio : Products : WatzNew™ Documentation : 'General' Tab

WatzNew™ Documentation > Owner's Manual > Dialog windows > Folder Properties > 'General' Tab

'General' Tab

# Folder Title
# Icon
# Buttons
# [Help]
# [OK]
# [Cancel]

Folder Properties Window -> 'General' Tab

Folder Title

Specify friendly folder title as it will appear in channels list.

Icon

Select the desired icon for your folder. You can add your own icons to this list. See How to add custom folder icons? section for more info.

Buttons

[Help]

Open this help page.

[OK]

Save changes and close the Folder Properties window.

[Cancel]

Abandon changes and close the Folder Properties window.

See next

<...>

'General' Tab

© 1998–2002 A.I.Studio. All rights reserved.
Contacts | Legal Information


A.I.Studio : Products : WatzNew™ Documentation : Getting started

WatzNew™ Documentation > Owner's Manual > Getting started

Getting started

  • What can WatzNew™ do?
  • What are channels?
  • How can WatzNew™ notify me about changes?
  • How to make good channels?

See next

<...>

Getting started

  • What can WatzNew™ do?
  • What are channels?
  • How can WatzNew™ notify me about changes?
  • How to make good channels?

Working with channels

Search patterns and message templates

Dialog windows

Customizing WatzNew™


A.I.Studio : Products : WatzNew™ Documentation : Mailbox Channel Properties

WatzNew™ Documentation > Owner's Manual > Dialog windows > Mailbox Channel Properties

Mailbox Channel Properties

  • 'General' Tab
  • 'Intervals & Alerts' Tab
  • 'Actions' Tab

See next

<...>

Folder Properties

Channel Properties

Mailbox Channel Properties

  • 'General' Tab
  • 'Intervals & Alerts' Tab
  • 'Actions' Tab

Perl Script Channel Properties


A.I.Studio : Products : WatzNew™ Documentation : 'Actions' Tab

WatzNew™ Documentation > Owner's Manual > Dialog windows > Mailbox Channel Properties > 'Actions' Tab

'Actions' Tab

# List Of Actions
# Friendly Name
# Action Type
# Parameters
# Default Action
# Run automatically
# Hide from context menu
# Place to 'Other Actions' sub-menu
# Buttons
# [Help]
# [OK]
# [Cancel]

Mailbox Properties Window -> 'Actions' Tab

List Of Actions

Here you define a list of up to 10 actions. Actions are used to simplify or automate some tasks you wish to do when a channel is updated. On the right you will see four buttons to add, move up, move down and delete actions. When you select action in list, it's properties will appear in the fields below.

Friendly Name

This is the name of your action as it will appear in channel's context menu. You can use %1, %2, %3, ... placeholders for your parameters here.

Action Type

There are three types of actions:

  • Launch mailer: This action will launch your mailer (if it is set in WatzNew Settings ® 'E-mail' tab ® 'Executable' field). You can specify optional parameters to pass to application in 'Parameters' field.
  • Launch browser: This action will launch a new browser window (if it is set in WatzNew Settings ® 'Browser' tab ® 'Executable' field). You can specify optional parameters (URL) to pass to your browser in 'Parameters' field.
  • Execute custom command: This action will launch a command specified in 'Parameters' field. The behaviour will be the same as if you typed the commands in 'Start' ® 'Run...' menu. Typically, if you enter some URL starting with http://, your default browser will load the specified URL. You can also launch any executable file using this type of action.

Parameters

Here you specify the parameters for your action. The meaning of the parameter depends on your action type. You can use %1, %2, %3, ... placeholders for your parameters here.

Default Action

Check this box to make the action the default one. Default action is launched when you double-click on your channel in list. Default action appears as bold in list and channel's context menu.

Run automatically

Set this option to run action automatically when channel is updated.

Hide from context menu

Set this option to hide action from channel's context menu. Option is useful for actions that are set to run automatically.

Place to 'Other Actions' sub-menu

Use this option to make this action appear in 'Other Actions' sub-menu of channel's context menu. If you set many actions for your channel, you might need to arrange your actions placing some rarely used actions to this sub-menu.

Buttons

[Help]

Open this help page.

[OK]

Save changes and close the Mailbox Properties window.

[Cancel]

Abandon changes and close the Mailbox Properties window.

See next

<...>

'General' Tab

'Intervals & Alerts' Tab

'Actions' Tab

© 1998–2002 A.I.Studio. All rights reserved.
Contacts | Legal Information


A.I.Studio : Products : WatzNew™ Documentation : 'General' Tab

WatzNew™ Documentation > Owner's Manual > Dialog windows > Mailbox Channel Properties > 'General' Tab

'General' Tab

# Mailbox Title
# Connection
# POP Server
# Port
# Login
# Password
# Load last [NN] message headers only
# Buttons
# [Help]
# [OK]
# [Cancel]

Mailbox Properties Window -> 'General' Tab

Mailbox Title

Specify friendly channel title as it will appear in channels list.

Connection

Here you specify your POP mail server address and account parameters.

POP Server

Your POP mail server name or IP address (e.g. mail.myisp.com).

Port

POP server port number (typically this value should be 110).

Login

Login for your POP account.

Password

Password for your POP account.

Load last [NN] message headers only

This option allows you to specify the amount of headers to retrieve. Default value is 5. If you uncheck this option, WatzNew™ will try to load all unread message headers. This could be a very time-consuming operation if your mailbox has a huge amount of unread messages. Use it with caution.

Buttons

[Help]

Open this help page.

[OK]

Save changes and close the Mailbox Properties window.

[Cancel]

Abandon changes and close the Mailbox Properties window.

See next

<...>

'General' Tab

'Intervals & Alerts' Tab

'Actions' Tab


A.I.Studio : Products : WatzNew™ Documentation : 'Intervals & Alerts' Tab

WatzNew™ Documentation > Owner's Manual > Dialog windows > Mailbox Channel Properties > 'Intervals & Alerts' Tab

'Intervals & Alerts' Tab

# Intervals
# Check every ...
# Alert & Display Modes
# No action / Flashing tray icon / Popup window / Popup hint (Win2K only) / Play sound
# Alert On Errors
# Alert On General Changes
# Always visible in list
# Buttons
# [Help]
# [OK]
# [Cancel]

Mailbox Properties Window -> 'Intervals & Alerts' Tab

Intervals

Check every ...

Specify the channel update interval. We suggest to specify intervals about 2...3 times shorter than the average time between target page updates. In example, if you want to monitor weather conditions on some web site that updates information every 3 hours, set your interval to 1...1.5 hours. The shorter interval would be, the faster you will know that the page has been updated.

Alert & Display Modes

No action / Flashing tray icon / Popup window / Popup hint (Win2K only) / Play sound

Set the alert mode for your channel. See How can WatzNew™ notify me about changes? section for more info.

Alert On Errors

When an HTTP error occurs during the channel check, the alert box is displayed with the HTTP error code. This can be useful to be notified immediately when the page has been moved (HTTP error codes 3xx) or deleted from server (HTTP error code 404).

Alert On General Changes

When turned on, WatzNew™ will check the page for general changes and inform you of updates. This is the simplest way to monitor your pages for updates, but not the efficient one, because most dynamically generated pages change their size or content every time you download them (in example, pages that have visitor counters, random quotations or news, etc.). To make your channel more "clever", you should define Search pattern and message template macros for it. Once your search pattern is defined, you should turn this option off to avoid false alerts.

Always visible in list

This option tells you to make channel always visible in list, even when you select '¤ Show All But Disabled' or '¤ Show Updated Only' filtering modes.

Buttons

[Help]

Open this help page.

[OK]

Save changes and close the Mailbox Properties window.

[Cancel]

Abandon changes and close the Mailbox Properties window.

See next

<...>

'General' Tab

'Intervals & Alerts' Tab

'Actions' Tab


A.I.Studio : Products : WatzNew™ Documentation :

WatzNew™ Documentation >

See next

© 1998–2002 A.I.Studio. All rights reserved.
Contacts | Legal Information


A.I.Studio : Products : WatzNew™ Documentation : How to make good channels?

WatzNew™ Documentation > Owner's Manual > Getting started > How to make good channels?

How to make good channels?

# Find the best source data
# Configure WatzNew™ to use HTTP ranges

Here we will give you some advices on how to make good and fast channels for WatzNew™.

Find the best source data

When deciding, what document to monitor, try to find the best page on the server with the needed information. This means that:

  • The page should be as small as possible.
  • The desired information should be close to the beginning of html document, so you could specify the HTTP ranges for it.
  • The search pattern should match the narrowest document part possible (that means all parameters retrieved by the search pattern should be close to each other in html document.
  • Some servers offer you to see the page as 'text mode only' or as 'printable version'. Printable versions are often smaller than original full-graphic versions. You should prefer these ones.
  • Some servers use a kind of "back-end" information with the latest news in the addition to html pages (i.e. http://www.wired.com/news_drop/free/free.txt). These are the best source for WatzNew™ channels.
  • Internet Explorer's Active channels (*.cdf files), Netscape's channels in RSS format (more about RSS here) that are distributed by many web sites, are the same good source to monitor for updates. These files are simply the text data with XML tags, which are very good to make search patterns for.
  • Generally, XML files are the best source to be monitorred. They contain just the data and have the best format to write search patterns for. For a bunch of news in XML format please visit http://www.xmltree.com/.

Configure WatzNew™ to use HTTP ranges

Specifying HTTP ranges in channel properties is an effective way to reduce the channel update time. By the means of ranges, you tell the server what part of the document to load. Please use ranges whenever possible, because they can decrease the update time greatly.

First of all, you should determine what values to specify for the range. Do the following: open the channel's properties on a 'Search Pattern' tab, perform your search clicking on a search button (marked by the arrow on the screenshot below) and look for the range values in the status bar of the page source window that will come up.

Looking for range values

Then click on a 'General' tab, check the option 'ю Load range (in bytes)' and specify the range for this channel (see the screenshot below). Your range should be looser by 2-10 Kb than the one determined in the previous step.

All numbers are byte offsets from the beginning of the page. The first byte has offset = 0.

Range types:

  • X-Y means 'load the specified byte range'.
  • X- means 'load from the X-th byte till the end'.
  • -Y means 'load last Y bytes'.

Examples of ranges:

  • 0-1999 means 'first 2000 bytes'.
  • 500-699 means '200 bytes starting from the offset 500'.
  • -500 means 'final 500 bytes'.
  • 9500- means 'everything from the 9500th byte till the end'.

You can specify not only a single range of bytes, or a set of ranges, delimited by commas:

  • 0-299,-1000 means 'first 300 bytes and final 1000 bytes'.

You can also simply specify a maximum limit of bytes to load:

  • 3000 means 'first 3000 bytes'.

See next

<...>

What can WatzNew™ do?

What are channels?

How can WatzNew™ notify me about changes?

How to make good channels?

© 1998–2002 A.I.Studio. All rights reserved.
Contacts | Legal Information


A.I.Studio : Products : WatzNew™ Documentation : How can WatzNew™ notify me about changes?

WatzNew™ Documentation > Owner's Manual > Getting started > How can WatzNew™ notify me about changes?

How can WatzNew™ notify me about changes?

When your channel is updated (you've got new mail or the message is changed), WatzNew™ will notify you in any preferred way:

  • Ў No action: No visible or audible action is performed. The channel icon will change it's color to white in channel list.
  • ¤ Flashing tray icon: Tray icon flashes. The type of icon ( [image] "channel" or [image] "letter") depends on type of the channel that caused icon to flash.
  • Ў Popup window: The Alert window with the channel title and the new message comes up.

    Here is how the Popup Window looks like:

  • Ў Popup hint (Win2K only): The tray icon hint with the channel title and the new message comes up. This option is avaliable only under Windows 2000/Me/XP.

    Here is how the Popup Hint looks like:

There are additional options you can set for each channel:

  • ю Play sound: The sound (WAV-file) associated with the current channel type is played additionally.

See next

<...>

What can WatzNew™ do?

What are channels?

How can WatzNew™ notify me about changes?

How to make good channels?


A.I.Studio : Products : WatzNew™ Documentation : Perl Script Channel Properties

WatzNew™ Documentation > Owner's Manual > Dialog windows > Perl Script Channel Properties

Perl Script Channel Properties

  • 'General' Tab
  • 'Intervals & Alerts' Tab
  • 'Perl Script' Tab
  • 'Message Template' Tab
  • 'Actions' Tab

See next

<...>

Folder Properties

Channel Properties

Mailbox Channel Properties

Perl Script Channel Properties

  • 'General' Tab
  • 'Intervals & Alerts' Tab
  • 'Perl Script' Tab
  • 'Message Template' Tab
  • 'Actions' Tab


A.I.Studio : Products : WatzNew™ Documentation : 'Actions' Tab

WatzNew™ Documentation > Owner's Manual > Dialog windows > Perl Script Channel Properties > 'Actions' Tab

'Actions' Tab

# List Of Actions
# Friendly Name
# Action Type
# Parameters
# Default Action
# Run automatically
# Hide from context menu
# Place to 'Other Actions' sub-menu
# Buttons
# [Help]
# [OK]
# [Cancel]

Perl Script Properties Window -> 'Actions' Tab

List Of Actions

Here you define a list of up to 10 actions. Actions are used to simplify or automate some tasks you wish to do when a channel is updated. On the right you will see four buttons to add, move up, move down and delete actions. When you select action in list, it's properties will appear in the fields below.

Friendly Name

This is the name of your action as it will appear in channel's context menu. You can use %1, %2, %3, ... placeholders for your parameters here.

Action Type

There are three types of actions:

  • Launch mailer: This action will launch your mailer (if it is set in WatzNew Settings ® 'E-mail' tab ® 'Executable' field). You can specify optional parameters to pass to application in 'Parameters' field.
  • Launch browser: This action will launch a new browser window (if it is set in WatzNew Settings ® 'Browser' tab ® 'Executable' field). You can specify optional parameters (URL) to pass to your browser in 'Parameters' field.
  • Execute custom command: This action will launch a command specified in 'Parameters' field. The behaviour will be the same as if you typed the commands in 'Start' ® 'Run...' menu. Typically, if you enter some URL starting with http://, your default browser will load the specified URL. You can also launch any executable file using this type of action.

Parameters

Here you specify the parameters for your action. The meaning of the parameter depends on your action type. You can use %1, %2, %3, ... placeholders for your parameters here.

Default Action

Check this box to make the action the default one. Default action is launched when you double-click on your channel in list. Default action appears as bold in list and channel's context menu.

Run automatically

Set this option to run action automatically when channel is updated.

Hide from context menu

Set this option to hide action from channel's context menu. Option is useful for actions that are set to run automatically.

Place to 'Other Actions' sub-menu

Use this option to make this action appear in 'Other Actions' sub-menu of channel's context menu. If you set many actions for your channel, you might need to arrange your actions placing some rarely used actions to this sub-menu.

Buttons

[Help]

Open this help page.

[OK]

Save changes and close the Perl Script Channel Properties window.

[Cancel]

Abandon changes and close the Perl Script Channel Properties window.

See next

<...>

'General' Tab

'Intervals & Alerts' Tab

'Perl Script' Tab

'Message Template' Tab

'Actions' Tab

© 1998–2002 A.I.Studio. All rights reserved.
Contacts | Legal Information


A.I.Studio : Products : WatzNew™ Documentation : 'General' Tab

WatzNew™ Documentation > Owner's Manual > Dialog windows > Perl Script Channel Properties > 'General' Tab

'General' Tab

# Channel Title
# Script
# Script File Name
# Parameters
# [Execute Script]
# Buttons
# [Help]
# [OK]
# [Cancel]

Perl Script Properties Window -> 'General' Tab

Channel Title

Specify friendly channel title as it will appear in channels list.

Script

Script File Name

Set the path to your script file here. You can specify full (absolute) or relative path. Relative paths use WatzNew™ program folder as the starting point.

Parameters

Here you define a list of parameters to pass to the Perl script. On the right you will see four buttons to add, move up, move down and delete actions. Double-click on any parameter to edit it's name or value.

When WatzNew™ executes the script, it passes the parameters in the %ENV hash.

[Execute Script]

Click this button to execute script and see how WatzNew™ parses it's output.

Buttons

[Help]

Open this help page.

[OK]

Save changes and close the Perl Script Channel Properties window.

[Cancel]

Abandon changes and close the Perl Script Channel Properties window.

See next

<...>

'General' Tab

'Intervals & Alerts' Tab

'Perl Script' Tab

'Message Template' Tab

'Actions' Tab


A.I.Studio : Products : WatzNew™ Documentation : 'Intervals & Alerts' Tab

WatzNew™ Documentation > Owner's Manual > Dialog windows > Perl Script Channel Properties > 'Intervals & Alerts' Tab

'Intervals & Alerts' Tab

# Intervals
# Check every ...
# Alert & Display Modes
# No action / Flashing tray icon / Popup window / Popup hint (Win2K only) / Play sound
# Alert On Errors
# Alert On General Changes
# Always visible in list
# Buttons
# [Help]
# [OK]
# [Cancel]

Perl Script Properties Window -> 'Intervals & Alerts' Tab

Intervals

Check every ...

Specify the channel update interval. We suggest to specify intervals about 2...3 times shorter than the average time between target page updates. In example, if you want to monitor weather conditions on some web site that updates information every 3 hours, set your interval to 1...1.5 hours. The shorter interval would be, the faster you will know that the page has been updated.

Alert & Display Modes

No action / Flashing tray icon / Popup window / Popup hint (Win2K only) / Play sound

Set the alert mode for your channel. See How can WatzNew™ notify me about changes? section for more info.

Alert On Errors

When an HTTP error occurs during the channel check, the alert box is displayed with the HTTP error code. This can be useful to be notified immediately when the page has been moved (HTTP error codes 3xx) or deleted from server (HTTP error code 404).

Alert On General Changes

When turned on, WatzNew™ will check the page for general changes and inform you of updates. This is the simplest way to monitor your pages for updates, but not the efficient one, because most dynamically generated pages change their size or content every time you download them (in example, pages that have visitor counters, random quotations or news, etc.). To make your channel more "clever", you should define Search pattern and message template macros for it. Once your search pattern is defined, you should turn this option off to avoid false alerts.

Always visible in list

This option tells you to make channel always visible in list, even when you select '¤ Show All But Disabled' or '¤ Show Updated Only' filtering modes.

Buttons

[Help]

Open this help page.

[OK]

Save changes and close the Perl Script Channel Properties window.

[Cancel]

Abandon changes and close the Perl Script Channel Properties window.

See next

<...>

'General' Tab

'Intervals & Alerts' Tab

'Perl Script' Tab

'Message Template' Tab

'Actions' Tab


A.I.Studio : Products : WatzNew™ Documentation : 'Message Template' Tab

WatzNew™ Documentation > Owner's Manual > Dialog windows > Perl Script Channel Properties > 'Message Template' Tab

'Message Template' Tab

# Message Template
# Message Preview
# Buttons
# [Help]
# [OK]
# [Cancel]

Perl Script Properties Window -> 'Message Template' Tab

Message Template

Enter your message template here. Message template consists of your custom text, enriched with a subset of html tags and can contain %1, %2, %3, ... placeholders for your parameters, retrieved by the search pattern. Message pattern tells WatzNew™ how to render your channel in the list. To learn more about search patterns and message templates, see the Search pattern and message template macros section.

Message Preview

This field will show you the html-formatted template with all parameters substituted. It will update itself automatically while you edit the message template in the upper field.

Buttons

[Help]

Open this help page.

[OK]

Save changes and close the Perl Script Channel Properties window.

[Cancel]

Abandon changes and close the Perl Script Channel Properties window.

See next

<...>

'General' Tab

'Intervals & Alerts' Tab

'Perl Script' Tab

'Message Template' Tab

'Actions' Tab


A.I.Studio : Products : WatzNew™ Documentation : 'Perl Script' Tab

WatzNew™ Documentation > Owner's Manual > Dialog windows > Perl Script Channel Properties > 'Perl Script' Tab

'Perl Script' Tab

# Perl Script
# [Edit Script]
# [Execute Script]
# HTTP Debugging Options
# Parameters Found
# Buttons
# [Help]
# [OK]
# [Cancel]

Perl Script Properties Window -> 'Perl Script' Tab

Perl Script

[Edit Script]

Click this button to open the specified script in your text editor.

[Execute Script]

Click this button to execute script and see how WatzNew™ parses it's output.

HTTP Debugging Options

These options can be used when you debug scripts that use http.lib functions library that comes with WatzNew™. Set any of these options and click the [Execute Script] button. While running, script will output additional debugging information.

Parameters Found

After the search is performed, you will see here the list of parameters retrieved. Parameters will have their names —%1, %2, %3 and so on. These names you will be use in message template to insert the parameter text into resulting report. See Search pattern and message template macros section for more info.

Buttons

[Help]

Open this help page.

[OK]

Save changes and close the Perl Script Channel Properties window.

[Cancel]

Abandon changes and close the Perl Script Channel Properties window.

See next

<...>

'General' Tab

'Intervals & Alerts' Tab

'Perl Script' Tab

'Message Template' Tab

'Actions' Tab


A.I.Studio : Products : WatzNew™ Documentation : Search pattern and message template macros

WatzNew™ Documentation > Owner's Manual > Search patterns and message templates > Search pattern and message template macros

Search pattern and message template macros

# Search pattern macros
# Message template macros and tags
# Date / Time macros
# Simple example

WatzNew™ utilizes a simple to create yet powerful search pattern scheme to retrieve specific data from html pages. When the data is retrieved, WatzNew™ takes the message template to form a user-friendly message.

Search pattern macros

  • {*} means 'any text'.
  • {%} means 'next parameter'.
  • {%,N} means 'next parameter takes exactly N following characters'.

Message template macros and tags

  • %1 means 'the first parameter'.
  • %2 means 'the second parameter'.
  • %3 means 'the third parameter'.
  • ...
  • %N means 'the N-th parameter' and so on.
  • \n or <BR> inserts a line break.
  • <P> inserts a paragraph break.
  • <HR> inserts a horisontal line (ruler).
  • <A HREF="...">...</A> inserts a hyperlink.
  • <LI> means 'new list item' (the text after this macro appears on the next line indented and marked with a bullet).
  • <B>...</B> pair makes the text inside appear as bold.
  • <I>...</I> pair makes the text inside appear as italic.
  • <U>...</U> pair makes the text inside appear as underlined.

Date / Time macros

These macros can be used in both search pattern and message templates. They are case-sensitive:

  • %Y - 4-digit year value.
  • %YY - 2-digit zero-padded year value.
  • %M - month value.
  • %MM - 2-digit zero-padded month value.
  • %MMM - short month name ('Jan', 'Feb', etc.).
  • %MMMM - full month name ('January', 'February', etc.).
  • %D - day value.
  • %DD - 2-digit zero-padded day value.
  • %W - 1-digit day of the week value (1 — Sunday, 2 — Monday, ..., 7 — Saturday).
  • %WW - 2-digit day of the week value (1 — Sunday, 2 — Monday, ..., 7 — Saturday).
  • %WWW - short day name ('Sun', 'Mon', etc.).
  • %WWWW - full day name ('Sunday', 'Monday', etc.).
  • %w - 1-digit day of the week value (1 — Monday, 2 — Tuesday, ..., 7 — Sunday).
  • %ww - 2-digit day of the week value (1 — Monday, 2 — Tuesday, ..., 7 — Sunday).
  • %h - hour value.
  • %hh - 2-digit zero-padded hour value.
  • %m - minutes value.
  • %mm - 2-digit zero-padded minutes value.
  • %s - seconds value.
  • %ss - 2-digit zero-padded seconds value.

You can add prefixes to the date / time macros. These are case-sensitive:

  • Msg - for the message date / time.
  • Last - for the last check date / time.

This means that if you use %MsgY, the message date's year value will be used;
%LastDD— last try date's day value will be used and so on. With no prefix, the current date and time are used.

Simple example

When the html page is loaded, WatzNew applies the search pattern first. The date / time macros are inserted before the search is performed, so you can make date-based search.

Sample search pattern:

<H1>{%}</H1>
This means: find the first occurence of <H1> in the html document and treat any text between it and the following occurence of </H1> as the first parameter (that corresponds to %1 in message template).

After then the extracted parameters are substituted into the message template.

Sample message template:

Current article: %1
This means: substitute %1 with the first parameter found.

If we apply the above rules to the following sample html document
...
<BODY>
<H1>"How to become rich?" by John Poor</H1>
...
</BODY>
we will get "Current article: "How to become rich?" by John Poor" message.

Now, when the text between <H1> and </H1> is changed, we will be notified with such a message as soon as WatzNew™ checks the channel for updates.

Note: Pattern search is case-insensitive but date / time macros that are inserted before search, are case-sensitive; each found parameter is processed on the following scheme: html tags (simply all text between < and >) are stripped; all &nbsp; are converted to spaces; all &nn; and &nnn; and such codes as &copy;, &reg;, &quot; are converted to corresponding characters; the resulting strings are trimmed (all leading and trailing spaces and control characters are removed).

Please take a look at the more complex example of using search patterns and message templates.

See next

<...>

Search pattern and message template macros

Complex example of using search patterns


A.I.Studio : Products : WatzNew™ Documentation : Complex example of using search patterns

WatzNew™ Documentation > Owner's Manual > Search patterns and message templates > Complex example of using search patterns

Complex example of using search patterns

# Adding more power

This example will show you the power of WatzNew™. Assume we have the following html page and want to track new releases of software called ABC Html Colorizer.

<BODY>

<H1>ABCSoft. Our software:</H1>

<H2>ABC E-mail Checker</H2>
<UL>
<LI>Latest release date: 01-Apr-1999
<LI><A HREF="abc_checker.zip">Download v.1.15 now!</A> - 433 KB ZIP archive
<LI><A HREF="abc_checker_help.zip">Help file in .HLP format</A> - 39 KB ZIP archive
</UL>

<H2>ABC Html Colorizer</H2>
<UL>
<LI>Latest release date: 03-Apr-1999
<LI><A HREF="abc_htmlcolor.zip">Download v.1.30 now!</A> - 172 KB ZIP archive
<LI><A HREF="abc_htmlcolor_help.zip">Help file in .HLP format</A> - 60 KB ZIP archive
</UL>

...

</BODY>

Our search pattern would be:

<H2>ABC Html Colorizer</H2>{*}Download v.{%}now!
This means:
  • find the first occurence of <H2>ABC Html Colorizer</H2> in the html document;
  • skip any number of characters until the Download v. substring is found;
  • treat any text between it and the following occurence of now! as the first parameter (that corresponds to %1 in message template).

and the message template would be:

Current version of ABC Html Colorizer is %1

If we apply the above rules to our html document we will get "Current version of ABC Html Colorizer is 1.30" message.

Adding more power

And what if we want to track not only the software version but the release date and ZIP file size?

Let's modify our search pattern:

<H2>ABC Html Colorizer</H2>{*}
Latest release date:{%}
Download v.{%}now! -{%}ZIP archive
This means:
  1. find the first occurence of <H2>ABC Html Colorizer</H2> in the html document;
  2. skip any number of characters until the Latest release date: substring is found;
  3. treat any text between it and the following occurence of Download v. as the first parameter (that corresponds to %1 in message template);
  4. treat any text between Download v. and the following occurence of now! - as the second parameter (%2 in message template). Note that all html tags are stripped from the found substring unless you enable the 'ю Preserve tags' option in channel's properties;
  5. treat any text between now! - and the following occurence of ZIP archive as the third parameter (%3 in message template).

Note: splitting the pattern into lines won't affect it's functionality. WatzNew™ will ignore all line breaks.

So, we must eventually get the release date, version and file size in %1, %2 and %3 parameters respectively. Let's modify our message template:

Current version of ABC Html Colorizer is %2 (%3), released on %1

If we apply the above rules to our html document we will get "Current version of ABC Html Colorizer is 1.30 (172 KB), released on 03-Apr-1999" message.

See next

<...>

Search pattern and message template macros

Complex example of using search patterns

© 1998–2002 A.I.Studio. All rights reserved.
Contacts | Legal Information


A.I.Studio : Products : WatzNew™ Documentation : Search patterns and message templates

WatzNew™ Documentation > Owner's Manual > Search patterns and message templates

Search patterns and message templates

  • Search pattern and message template macros
  • Complex example of using search patterns

See next

<...>

Getting started

Working with channels

Search patterns and message templates

  • Search pattern and message template macros
  • Complex example of using search patterns

Dialog windows

Customizing WatzNew™


A.I.Studio : Products : WatzNew™ Documentation : How to sort channels in list?

WatzNew™ Documentation > Owner's Manual > Working with channels > How to sort channels in list?

How to sort channels in list?

WatzNew™ allows you to easily change the order of the folders and channels within the list.

To move the channel or folder, do the following:

  • Click on the desired channel and drag it with your mouse pointer to the new location.
  • Release the mouse button and the channel will jump to this place.

You can move channels not only within the folder, but between folders too. If you drag-and-drop a channel to the closed folder, the channel will appear as the topmost channel of that folder.

Please note that you can set the 'ю Require to hold [Shift] to start sorting channels' option in 'WatzNew™ Settings' window ® 'Keyboard' tab. If this option is set, you should hold the [Shift] key before clicking and dragging the channel, otherwise the dragging won't start.

See next

<...>

How to sort channels in list?

© 1998–2002 A.I.Studio. All rights reserved.
Contacts | Legal Information


A.I.Studio : Products : WatzNew™ Documentation : What are channels?

WatzNew™ Documentation > Owner's Manual > Getting started > What are channels?

What are channels?

# HTTP Channels
# Perl-script Channels
# Mailboxes

HTTP Channels

These are channels that retrieve data from any text document (plain text files or html pages) that can be accessed by http:// protocol (with your browser, in other words). You can use proxy servers and retrieve documents from password-protected server areas. Once a document is downloaded, WatzNew™ applies a user-defined search pattern to it and retrieves some specific data (software version, weather parameters, latest guestbook entry message, etc.) and uses a message template defined for that channel to form a user-friendly message. See Search pattern and message template macros section for more info.

Perl-script Channels

These are channels that collect the perl script output messages and present them in a friendly way. Perl scripts can be used to load local files, run any programs, access documents via any network protocol (http, ftp, nntp, etc.) and so on. To run scripts you need to have Perl 5.003 or greater installed on your machine. You can download the latest Perl version at http://www.activestate.com/ActivePerl/ for free.

Mailboxes

These are channels that retrieve the infromation about incoming mail from your POP3 mail servers. They can't work with web-based mail accounts such as Hotmail (you still can create perl-script channels that can access the web-based mail accounts).

You can define up to 10 custom actions for each channel. The maximum amount of channels is 300. You can define any check interval from 1 minute to 99 months for each channel.

See next

<...>

What can WatzNew™ do?

What are channels?

How can WatzNew™ notify me about changes?

How to make good channels?


A.I.Studio : Products : WatzNew™ Documentation : What can WatzNew™ do?

WatzNew™ Documentation > Owner's Manual > Getting started > What can WatzNew™ do?

What can WatzNew™ do?

WatzNew™ can be successfully used for:

  • Gathering news: WatzNew™ will monitor your favorite sites and display news headlines or full articles in a compact way.
  • Tracking new software releases: You can setup channels that will monitor the updates of your favorite software. You will not only get a descriptive message about the update, but can tell WatzNew™ to download the file automatically with your download manager like GetRight, ReGet, NetVampire, etc.!
  • Tracking web site statistics: There are text-based tracking services such as eXTReMe Tracking and others that WatzNew™ can support. You will have the ability to track your visitors, referrers and any other parameters these services can provide, in realtime!
  • Tracking stock quotes: Choose any service on the net that provide you the stock data, and you will be able to track stock quotes without a single click! Note that WatzNew™ can retrieve data from password-protected sites and work with password-protected proxy servers and firewalls. An excellent tool for those who want to save their time and money.
  • Monitoring weather: Exactly as in the case of stock quotes or stats, WatzNew™ can monitor your local weather conditions. You can define your own format of reports. The information will always be at your fingertips.
  • Monitoring mailboxes: WatzNew™ can check any amount of POP mail accounts. You won't need any other notification tool from now.
  • Doing anything Perl can be used for: WatzNew™ has the ability to execute Perl scripts and present the output messages in a friendly way. As you know, Perl is an extremely efficient language for working with text sources. If you are familiar with Perl, you can create WatzNew™ channels that will work with ftp and news servers, web-based e-mail accounts, generate extensive statistics and do almost anything you could ever imagine! WatzNew™ is an excellent tool for advanced users.

WatzNew™ is a very customizable utility. You can change it's appearance, fonts sizes, colors in any way you like. You can create several different schemes and switch between them with a few clicks. Message templates are individual for each channel and are customizable too. You can make the portions of messages bold, italic, underlined, you can create lists, insert links and paragraph or line breaks.

You can setup custom actions for each channel. Actions can depend on parameters retrieved by the search patterns. With the aid of these actions you will be able to:

  • Automatically send messages via e-mail: You can make WatzNew™ automatically send the messages to you by e-mail (with the help of third-party programs). Some companies offer the ability to redirect e-mail messages to cellular phones or pagers. Get your stock quotes or weather forecast right on your pager!
  • Launch any external programs: Basically, WatzNew™ can launch any external program with the variable parameters retrieved from the web page upon an event. Feel the power of WatzNew™!

See next

<...>

What can WatzNew™ do?

What are channels?

How can WatzNew™ notify me about changes?

How to make good channels?


A.I.Studio : Products : WatzNew™ Documentation : Working with channels

WatzNew™ Documentation > Owner's Manual > Working with channels

Working with channels

  • How to sort channels in list?

See next

<...>

Getting started

Working with channels

  • How to sort channels in list?

Search patterns and message templates

Dialog windows

Customizing WatzNew™


A.I.Studio : Products : WatzNew™ Documentation : Version History

Index | Owner's Manual | FAQ | Version History | Purchase | Web Site (online)
WatzNew™ Documentation > Version History

Version History

  • Version 1.7
  • Version 1.6
  • Version 1.5
  • Version 1.4
  • Version 1.3
  • Version 1.2
  • Version 1.1 Final Release
  • Version 1.1 Pre-Release 2
  • Version 1.1 Pre-Release 1
  • Version 1.0.3
  • Version 1.0.2
  • Version 1.0.1
  • Version 1.0.0 build 153
  • Version 1.0.0 build 149

See next

Index

Owner's Manual

FAQ

Version History

  • Version 1.7
  • Version 1.6
  • Version 1.5
  • Version 1.4
  • Version 1.3
  • Version 1.2
  • Version 1.1 Final Release
  • Version 1.1 Pre-Release 2
  • Version 1.1 Pre-Release 1
  • Version 1.0.3
  • Version 1.0.2
  • Version 1.0.1
  • Version 1.0.0 build 153
  • Version 1.0.0 build 149

Purchase

Web Site (online)


A.I.Studio : Products : WatzNew™ Documentation : Version 1.0.0 build 149

WatzNew™ Documentation > Version History > Version 1.0.0 build 149

Version 1.0.0 build 149

Released on March 25, 1999

The first public beta release of WatzNew™

See next

<...>

Version 1.7

Version 1.6

Version 1.5

Version 1.4

Version 1.3

Version 1.2

Version 1.1 Final Release

Version 1.1 Pre-Release 2

Version 1.1 Pre-Release 1

Version 1.0.3

Version 1.0.2

Version 1.0.1

Version 1.0.0 build 153

Version 1.0.0 build 149

© 1998–2002 A.I.Studio. All rights reserved.
Contacts | Legal Information


A.I.Studio : Products : WatzNew™ Documentation : Version 1.0.0 build 153

WatzNew™ Documentation > Version History > Version 1.0.0 build 153

Version 1.0.0 build 153

Released on April 1, 1999

  • Proxy support added (WatzNew™ Settings ® Proxy tab).
  • Integration with Online Documentation added. Pressing [Help] buttons in Channel Properties and Advanced Settings will launch your default browser and load the corresponding help topic from this server.
  • Pattern searching bug fixed. Searching works fine now.
  • Channel saving is safer now (this should eliminate the possibility of occasional channel data loss).
  • Adding Mail account is more simple now.
  • Changing mail server in 'Settings' window would cause adding an http:// prefix to it as for urls. Fixed.

See next

<...>

Version 1.7

Version 1.6

Version 1.5

Version 1.4

Version 1.3

Version 1.2

Version 1.1 Final Release

Version 1.1 Pre-Release 2

Version 1.1 Pre-Release 1

Version 1.0.3

Version 1.0.2

Version 1.0.1

Version 1.0.0 build 153

Version 1.0.0 build 149


A.I.Studio : Products : WatzNew™ Documentation : Version 1.0.1

WatzNew™ Documentation > Version History > Version 1.0.1

Version 1.0.1

Released on April 11, 1999

  • 'Check All' feature added. You can show / hide this button via WatzNew™ Settings ® General ® ю Show 'Check All' Button.
  • A bug in E-mail notification has been fixed. Now WatzNew™ will notify you only when the amount of messages or the first message header is changed. No more annoying alerts each time the non-empty mailbox is checked.
  • Channel saving is stable now (fixed bugs appeared in 1.0.0.153).
  • WatzNew™ now automatically detects an url in clipboard and shows it in Add Channel Wizard.
  • Adding channels is much more simple now. Simply copy the desired url to clipboard, right-click on the tray icon and choose 'Add Url From Clipboard' to add the site to channel list.
  • Miscellaneous interface improvements.

See next

<...>

Version 1.7

Version 1.6

Version 1.5

Version 1.4

Version 1.3

Version 1.2

Version 1.1 Final Release

Version 1.1 Pre-Release 2

Version 1.1 Pre-Release 1

Version 1.0.3

Version 1.0.2

Version 1.0.1

Version 1.0.0 build 153

Version 1.0.0 build 149


A.I.Studio : Products : WatzNew™ Documentation : Version 1.0.2

WatzNew™ Documentation > Version History > Version 1.0.2

Version 1.0.2

Released on April 29, 1999

  • Fully customizable interface with several predefined schemes (Tiny, Normal, Full etc.).
  • The ability to display multiline messages added. You can enable/disable multiline messages for each scheme individually.
  • You can show / hide ScrollBar via WatzNew™ Settings ® Appearance ® ю Show ScrollBar.
  • Minor bugs fixed.

See next

<...>

Version 1.7

Version 1.6

Version 1.5

Version 1.4

Version 1.3

Version 1.2

Version 1.1 Final Release

Version 1.1 Pre-Release 2

Version 1.1 Pre-Release 1

Version 1.0.3

Version 1.0.2

Version 1.0.1

Version 1.0.0 build 153

Version 1.0.0 build 149


A.I.Studio : Products : WatzNew™ Documentation : Version 1.0.3

WatzNew™ Documentation > Version History > Version 1.0.3

Version 1.0.3

Released on May 7, 1999

  • Multiple alert windows.
  • Application eats much less memory and starts faster.
  • "New Line" \n macro added to Message template.
  • Channels are checked in the order they appear in the list.
  • Misc. minor interface improvements.
  • Channel list won't refresh when adding channel via tray icon popup menu — fixed.
  • Scheme would reset to 'Default' when 'Edit Current Scheme' button was pressed — fixed.

See next

<...>

Version 1.7

Version 1.6

Version 1.5

Version 1.4

Version 1.3

Version 1.2

Version 1.1 Final Release

Version 1.1 Pre-Release 2

Version 1.1 Pre-Release 1

Version 1.0.3

Version 1.0.2

Version 1.0.1

Version 1.0.0 build 153

Version 1.0.0 build 149


A.I.Studio : Products : WatzNew™ Documentation : Version 1.1 Final Release

WatzNew™ Documentation > Version History > Version 1.1 Final Release

Version 1.1 Final Release

Released on July 13, 1999

  • Now you are able to view any amount of new message headers (for POP3 Mailboxes), not the single one as it was before.)
  • New Perl-Script channel type is added. You need to have Perl installed on your machine to use script channels.
  • "HotMail Account" and "NetAddress Account" perl-script channel templates added. Now you are able to setup your HotMail and Net@ddress accounts easily.
  • "Temp Directory Info" template added. Now you will be able to track the amount and the total size of the files in your temporary directory.
  • Now when the channel "hangs", the timeout occurs after a minute and the checking process continues.
  • Help file added. Press [F1] in Main Window to open it.
  • Mouse-wheel support added.
  • Channel icons are changed.
  • WatzNew™ Settings Window now has the [Cancel] button.
  • "ю Start maximized" option for Browser added (WatzNew™ Settings ® Browser tab).
  • Minor bugs fixed.

See next

<...>

Version 1.7

Version 1.6

Version 1.5

Version 1.4

Version 1.3

Version 1.2

Version 1.1 Final Release

Version 1.1 Pre-Release 2

Version 1.1 Pre-Release 1

Version 1.0.3

Version 1.0.2

Version 1.0.1

Version 1.0.0 build 153

Version 1.0.0 build 149


A.I.Studio : Products : WatzNew™ Documentation : Version 1.1 Pre-Release 1

WatzNew™ Documentation > Version History > Version 1.1 Pre-Release 1

Version 1.1 Pre-Release 1

Released on June 13, 1999

  • The ability to set up custom multiple actions (up to 10) for each channel!
  • GREAT interface improvements in Channel Properties Window. <B>...</B>, <I>...</I>, <U>...</U>, <LI>...</LI> message template macros added. Now you can make your messages more attractive!
  • "ю Alert on changes" option added to Channel Preferences Window.
  • New online/offline mode detection scheme added — it should work fine under NT now.
  • Automatic program install/uninstall.
  • Program is much more stable now.
  • Fixed bug in message templates when %10..%19 would be treated as %1, %20..%29 as %2 and so on. The number of parameters is truly unlimited now!
  • Tray icon hint is more informative now.
  • Alert windows are auto-adjusted now to show the entire message and slighly redesigned to support multiple actions.
  • Text in alert windows is rendered exactly in the same way as in the main channels list.
  • If the channel title contained '[' or ']' characters, the channel would be saved incorrectly — fixed.
  • Pressing [Check All] button would place disabled channels in queue also — fixed.
  • The ability to set up custom pop server port number added.
  • The ability to specify additional parameters for mailer added.
  • Now you can define the exact path to your browser and specify additional parameters for it.
  • "Stay on Top" feature added (WatzNew™ Settings ® Appearance tab).
  • <BR> message template macro (same as \n) added.
  • Negative value for Date/Time 'Left' field aligns the date/time string to the right edge of the channel cell.
  • The nifty scrollbar added to the main window.
  • "ю Show Scroll" option is removed; the scrollbar is always visible now.
  • "ю Forced online mode" option added (WatzNew™ Settings ® Connection tab).
  • "ю Use old detection scheme" option added (WatzNew™ Settings ® Connection tab) to switch between new/old detection schemes.
  • All &#nn; and &#nnn; html codes are converted to corresponding characters. ©, ®, some german language specific characters are translated too.
  • "ю Launch at startup" option added. (WatzNew™ Settings).
  • When importing channels to the list they are compared with the existing ones now. If the similar channel exists the "update/skip/rename" dialog appears.
  • Fixed bug when zero value of "ю Load first [nn] Kb" wouldn't save.
  • Miscellaneous minor improvements and fixes.

See next

<...>

Version 1.7

Version 1.6

Version 1.5

Version 1.4

Version 1.3

Version 1.2

Version 1.1 Final Release

Version 1.1 Pre-Release 2

Version 1.1 Pre-Release 1

Version 1.0.3

Version 1.0.2

Version 1.0.1

Version 1.0.0 build 153

Version 1.0.0 build 149


A.I.Studio : Products : WatzNew™ Documentation : Version 1.1 Pre-Release 2

WatzNew™ Documentation > Version History > Version 1.1 Pre-Release 2

Version 1.1 Pre-Release 2

Released on June 16, 1999

  • Many bugs introduced in PR 1 fixed.
  • E-mail retrieving is more stable now.
  • Now the LAST e-mail message info is retrieved, not the first.

See next

<...>

Version 1.7

Version 1.6

Version 1.5

Version 1.4

Version 1.3

Version 1.2

Version 1.1 Final Release

Version 1.1 Pre-Release 2

Version 1.1 Pre-Release 1

Version 1.0.3

Version 1.0.2

Version 1.0.1

Version 1.0.0 build 153

Version 1.0.0 build 149


A.I.Studio : Products : WatzNew™ Documentation : Version 1.2

WatzNew™ Documentation > Version History > Version 1.2

Version 1.2

Released on November 26, 1999

  • Ability to create channel groups (folders).
  • Ability to sort channels manually within or between folders (hold [Shift] key and click on any channel or folder, then drag-n-drop it to the desired location).
  • Atomic Time Synchronization feature added. See 'WatzNew™ Settings' ® 'Time' tab.
  • Instant Web Search feature added. You will now have an interface to ten most famous internet search engines. Click [Alt+F7] to open the search dialog.
  • WinProxy 3.x limited support added (HTTP channels only). See 'WatzNew™ Settings' ® 'Proxy' tab ® 'Type' combo box.
  • Now you are able to view HTTP document header in Page Source Window.
  • Find [Ctrl+F] / Find Next [F3] options added to Page Source Window.
  • Now you are able to specify if a document has KOI-8 (Russian) encoding. These documents will be autotamatically converted to Win-1251 codepage after loading. See 'Channel Properties' ® 'General' tab ® 'ю KOI8 Encoding' checkbox.
  • New {%,N} search pattern macro added. Now you are able to extract text of the fixed length.
  • Pattern searching works faster now.
  • The size of channels data file can be unlimited now (was 64K max).
  • Almost all WatzNew™ icons and buttons redesigned.
  • Miscellaneous minor interface improvements.
  • Fixed bug when proxy settings were ignored when loading document in Page Source Window.

See next

<...>

Version 1.7

Version 1.6

Version 1.5

Version 1.4

Version 1.3

Version 1.2

Version 1.1 Final Release

Version 1.1 Pre-Release 2

Version 1.1 Pre-Release 1

Version 1.0.3

Version 1.0.2

Version 1.0.1

Version 1.0.0 build 153

Version 1.0.0 build 149


A.I.Studio : Products : WatzNew™ Documentation : Version 1.3

WatzNew™ Documentation > Version History > Version 1.3

Version 1.3

Released on January 23, 2000

  • The ability to select folder icons from a predefined set of images and to define custom folder images added.
  • The ability to set complex ranges for HTTP channels added (this enhances the old 'ю Load first [nn] Kb' option).
  • You can define the Offline IP mask to specify what address or group of addresses should be treated as offline. This should help WatzNew™ to correctly detect online/offline state in some unusual configurations (modem + LAN etc.). See 'WatzNew™ Settings' ® 'Behaviour' tab ® 'Online Mode Detection' group.
  • Clicking 'Check' button / pressing [F5] key on any folder will check all channels in that folder.
  • 'Copy Text To Clipboard' [Ctrl+C] option added.
  • Action names preview added (when inserting %1..%N macros into action title.
  • Channel Appearance Window completely redesigned. It is now called 'WatzNew™ Scheme Editor'.
  • 'Fonts And Colors... [Ctrl+F9]' options added to tray and channel popup menus. These two open the WatzNew™ Scheme Editor Window.
  • 'Always docked' mode works fine now.
  • Channel list can be scrolled absolutely smoothly now.
  • Channel list scrollbar was changed to convetional one.
  • When user clicks a channel, it's 'updated' flag is cleared now, and channel's icon becomes gray.
  • Single mouse click works now as double click on folder if it was previously selected.
  • Popup window would flicker when channel list redraw — fixed.
  • WatzNew™ won't release [Alt+F7] hot key after exit — fixed.
  • WatzNew™ Settings ® 'Connection' tab renamed to 'Behaviour'.
  • Instant Web Search hot key selection added. The option to make it 'global' added. See 'WatzNew™ Settings' ® 'Behaviour' tab ® 'Instant Web Search' group.
  • The channel which contained quote characters `` " '' won't save — fixed.
  • When testing search pattern in Channel Properties Window, the parameter won't be highlighted if it started from the first character of the document — fixed.
  • Second occurences of lowercase parameters in message template (such as <b>, </b>, <i>, </i>, ...) won't be understood — fixed.
  • In some cases WatzNew™ won't show itself in the task bar even if the appropriate option was set until triggering this option to 'Never' and then back again — fixed.

See next

<...>

Version 1.7

Version 1.6

Version 1.5

Version 1.4

Version 1.3

Version 1.2

Version 1.1 Final Release

Version 1.1 Pre-Release 2

Version 1.1 Pre-Release 1

Version 1.0.3

Version 1.0.2

Version 1.0.1

Version 1.0.0 build 153

Version 1.0.0 build 149


A.I.Studio : Products : WatzNew™ Documentation : Version 1.4

WatzNew™ Documentation > Version History > Version 1.4

Version 1.4

Released on June 2, 2000

  • <A HREF="">...</A>, <P>, <HR> message template macros added. WatzNew™ is able to dispaly links in message body now! This greatly improves it's functionality.
  • WatzNew™ now renders channels on screen several times faster.
  • WatzNew™ now processes found parameters more gently: it does not remove links, <LI>, </LI>, <P>, </P> and <BR> tags from the text, distinguishes a set of table tags and other special tags (<PRE>, <DIV>, etc.) and replaces them with <BR> macro. It also removes duplicate, empty or unnecessary chains of tags.
  • New 'Popup Hint' alert mode added (Avaliable on Windows 2000 only). You should like it's fancy balloon style!
  • Channel filtering modes added. Now you can set one of the following: '¤ Show All Channels' / 'Ў Show All But Disabled' / 'Ў Show Updated Only'. You can easily switch between these modes using the channel's context menu.
  • 'ю Always Visible' option added to channel properties. See 'Channel Properties' ® 'General' tab. Use this to make channel permanently visible in list no matter what the current filtering mode is.
  • 'Channel Properties' ® 'Search Pattern & Message Template' tab splitted to two separate tabs. Now you can edit search pattern and message templates in multiline mode.
  • WatzNew™ now correctly recognizes all the html meta characters (more than 100!) like &oslash;, &Oslash;, &reg;, &copy;, and others. You can use all of these tags in your Message Templates too.
  • WatzNew™ Channel Wizard now remembers your preferences.
  • 'ю Open Channel Properties' option added to WatzNew™ Channel Wizard. Wizard is slightly redesigned.
  • Now you can choose where to place any of your actions — to the root of the context popup menu, or to 'Other actions...' sub-menu. See 'Channel Properties' ® 'Actions' tab ® 'ю Place to "Other actions" sub-menu' option.
  • 'ю Hide from context menu' option added to Action properties. This is useful for actions that are set to be exectuted automatically.
  • [Ctrl+I] will open 'Import Channel From File' dialog now.
  • The ability to define destination folders when importing channels added.
  • You can launch WatzNew™ now by simply typing "watznew" in Windows' 'Run...' menu.
  • 'Stay On Top' mode works fine now.
  • Mouse wheel works now in Page Source Window.
  • In Page Source Window you will now see the 'Cursor position: XXX' or 'Selected range: XXX..YYY' status bar hints to easily track the position of any desired text block. Very useful when tuning the channel's 'Load Range' field.
  • Page Source Window's position and size are remembered now.
  • After editing channel properties, the channel's context menu won't refresh until manually re-selected — fixed.
  • Fixed a bug when WatzNew™ would freeze on some HTTP channels. WatzNew™ should work fine with all HTTP-servers now.
  • Fixed a bug when right-click on a channel would cause the previously opened folder to close.
  • Fixed a bug (introduced in 1.3 version) when Perl-script channels would freeze when checked.
  • Minor interface improvements.
  • Minor bugs fixed.

See next

<...>

Version 1.7

Version 1.6

Version 1.5

Version 1.4

Version 1.3

Version 1.2

Version 1.1 Final Release

Version 1.1 Pre-Release 2

Version 1.1 Pre-Release 1

Version 1.0.3

Version 1.0.2

Version 1.0.1

Version 1.0.0 build 153

Version 1.0.0 build 149


A.I.Studio : Products : WatzNew™ Documentation : Version 1.5

WatzNew™ Documentation > Version History > Version 1.5

Version 1.5

Released on July 2, 2000

  • This release solves numerous problems addressing Perl script handling. Since now, WatzNew™ uses Perl for ISAPI interface and will execute scripts up to 10 times faster! Check your 'Settings' window ® 'Perl' tab ® 'Perl Location' section to see if path to perlis.dll file is specified correctly.
  • WatzNew™ now uses new Perl-script channel configuration scheme, passing parameters to script via the %ENV hash. No more random Perl scripts will be generated in WatzNew™ directory.
  • WatzNew™ now comes with several updated and new Perl scripts:
    • Environment Variables.pl (shows the dump of your environment variables);
    • HTTP GET (script that automatically handles browser redirection (HTTP Error 301, 302, 303), can be effectively used to retrieve documents via HTTP, uses regular expressions to perform searches. This is an extremely powerful addition!)
    • ICQ Status.pl (checks the specified ICQ user's online/offline status);
    • IPCONFIG.pl (executes system 'ipconfig' command);
    • NetAddress Account.pl (checks your @usa.net mailboxes);
    • PING.pl (executes system 'ping' command);
    • Yahoo Account.pl (checks your @yahoo.com mailboxes);
  • Ability to set Perl script tracing options right from the channel properties window added. This works with scripts that use the http.lib library that comes with WatzNew™.
  • You can now specify 'User-agent' indentification string for each HTTP channel. Handy for those servers, that give content depending on User Agent type.
  • 'Search Channel' [F3] option added. Now you can locate your channels in list easily.
  • 'Channel Properties' ® 'Search Pattern' tab ® 'ю Preserve <B>, <I>, <U> tags' option added.
  • All Open/Save dialogs can be resizable now.
  • Channel properties window is redesigned.
  • Problem with gmx.net POP mailserver fixed. Now WatzNew™ will work correctly with all servers that do not support 'LAST' command.
  • Miscellaneous minor interface improvements.
  • Several minor bugs fixed.

See next

<...>

Version 1.7

Version 1.6

Version 1.5

Version 1.4

Version 1.3

Version 1.2

Version 1.1 Final Release

Version 1.1 Pre-Release 2

Version 1.1 Pre-Release 1

Version 1.0.3

Version 1.0.2

Version 1.0.1

Version 1.0.0 build 153

Version 1.0.0 build 149


A.I.Studio : Products : WatzNew™ Documentation : Version 1.6

WatzNew™ Documentation > Version History > Version 1.6

Version 1.6

Released on September 14, 2000

  • Perl environment problems fixed. We decided to stop using Perl for ISAPI due to numerous bugs and limitations in it's realization, and switched back to using command-line Perl interpreter. Please recheck your 'Settings' window ® 'Perl' tab ® 'Perl Location' section to see if path to perl.exe file is specified correctly.
  • Compatibility with newer builds of Perl (611 and later) added. (We do NOT recommend using latest versions of Perl because they have problems with sockets, DBI support, etc.)
  • You can now hold [Shift] anywhere in WatzNew™ while clicking on links to open them in new browser window.
  • Global menu added to main window. It gathered all options from channel's and tray icon's popup menus, making the work with WatzNew™ much easier.
  • Passwords are encrypted now when saving channels to files.
  • 'Stay On Top' feature bugs fixed.
  • 'Page Source' and 'Edit Perl Parameter' windows would open beneath the 'Channel Properties' Window — fixed.
  • After the first WatzNew™ installation, main window would go off-screen on some machines — fixed.
  • Fixed a bug when WatzNew™ won't find embedded channels on html pages in some cases.
  • Channel Wizard interface improved. Integration with Online Channels Library added.
  • Long lines would render incorrectly in list — fixed.
  • WatzNew™ documentation improved.
  • Several minor bugs fixed.

See next

<...>

Version 1.7

Version 1.6

Version 1.5

Version 1.4

Version 1.3

Version 1.2

Version 1.1 Final Release

Version 1.1 Pre-Release 2

Version 1.1 Pre-Release 1

Version 1.0.3

Version 1.0.2

Version 1.0.1

Version 1.0.0 build 153

Version 1.0.0 build 149


A.I.Studio : Products : WatzNew™ Documentation : Version 1.7

WatzNew™ Documentation > Version History > Version 1.7

Version 1.7

# New Features
# Changes
# Bugs Fixed

Released on December 16, 2001

New Features

  • WatzNew™ has multilingual interface now! Available translations:
    • Lithuanian,
    • Russian,
    • Ukrainian.
  • 'ю Clear "updated" channel flags on start' option has been added. See 'WatzNew™ Settings' ® 'General' tab.
  • Ability to add more than one offline IP mask added.
  • Ability to sort channels without [Shift] key added. See 'WatzNew™ Settings' ® 'Keyboard' tab ® 'ю Require to hold [Shift] to start sorting channels' option.
  • 'List of Updated Channels [F6]' window added. This window is available from 'View menu', and will also popup when you click on a blinking tray icon. This feature is handy to locate channels that has been updated.
  • 'Copy HTML Message to Clipboard' option added. See 'Edit' submenu. This option allows you to copy the text of the selected channel with all HTML tags.
  • 'Remove "new" flag [Ctrl+R]' option added to channel's popup menu.
  • 'More (Add, Delete, ...)' ® 'Preview' ® 'Tray hint (Win2k) [Shift+Ctrl+H]' and More (Add, Delete, ...)' ® 'Preview' ® 'Alert window [Shift+Ctrl+A]' options added to channel's popup menu.
  • WatzNew™ channels and configuration is auto-saved every 10 minutes now.

Changes

  • Appearance of Setup window has been changed. Some options has been rearranged.
  • Color selection dialog has been completely changed.
  • After you add or import channel, WatzNew™ will jump to it in the list now.

Bugs Fixed

  • WatzNew™ would not display some dialogs with certain versions of nVidia Detonator drivers — fixed.
  • WatzNew™ would not display the proper information after POP mailbox has been emptied — fixed.
  • Problems with proper displaying in taskbar fixed.
  • Fixed a bug when URLs of links would be "shifted" if there was an empty <A></A> tag pair. Empty pairs would be deleted now.
  • Leading <BR> tags would not be deleted — fixed.
    Please note that due to changes in HTML handling, WatzNew™ 1.7 can give false alerts the first time it updates some of your old version 1.6 channels. Once it updates them, it will work as usual.
  • Problems with channel dragging behaviour fixed. You can cancel dragging with [Cancel] button now or just by moving mouse cursor outside of the window (cursor will change it's shape to reflect the situation).
  • When importing channels, WatzNew™ will properly assign folders for channels that are already in the list.

See next

<...>

Version 1.8

Version 1.7

Version 1.6

Version 1.5

Version 1.4

Version 1.3

Version 1.2

Version 1.1 Final Release

Version 1.1 Pre-Release 2

Version 1.1 Pre-Release 1

Version 1.0.3

Version 1.0.2

Version 1.0.1

Version 1.0.0 build 153

Version 1.0.0 build 149


A.I.Studio : Products : WatzNew™ Documentation : Version 1.8

WatzNew™ Documentation > Version History > Version 1.8

Version 1.8

# New Features
# Changes
# Bugs Fixed

Released on January 28, 2002

New Features

  • New translations are available:
    • Dutch,
    • French,
    • German,
    • Polish,
    • Swedish.

    If you wish to translate WatzNew™ into your language, please contact us: translation@watznew.com. All translators will receive a free life-time registration for WatzNew™!

  • Instant formatted message preview added to Channel Properties window ® 'Message Template' tab. Editing the message template will affect the preview immediately.
  • WatzNew™ will remember channel list scroll position and currently selected channel on next start.
  • Windows XP theming support added.
  • Icons to main menu and pop-up menus added.
  • WatzNew™ can snap itself to desktop edges now.
  • In Alert Window, you can use [Esc] keyboard button now to close the window, [Enter] to launch the default action or [Down] button to show the list of additional actions.
  • Almost any unicode punctuation symbols (&#XXXX; codes) are converted to corresponding symbols now. Other unicode symbols will now appear as middle dots.

Changes

  • WatzNew™ should now determine the default font charset properly depending on current system language settings.
  • Main window resizing is much more faster and smoother now.
  • WatzNew™ Documentation has main web site design now.
  • FAQ section to WatzNew™ Documentation has been added.
  • <TD> tags from the source HTML are converted to space now, not line breaks.

    Please note that due to changes in HTML handling, WatzNew™ 1.8 can give false alerts the first time it updates some of your old version 1.7 channels. Once it updates them, it will work as usual.

Bugs Fixed

  • Problems with occasional freezing of the main window client area fixed.
  • WatzNew™ would freeze at uninstall — fixed.
  • WatzNew™ would stop checking channels after some socket errors — fixed.
  • WatzNew™ would render cell heights improperly when using non-default font sizes in scheme — fixed.
  • WatzNew™ would display some dialogs improperly with 'Large Fonts' system display setting turned on — fixed.
  • WatzNew™ Channel Wizard would allow creating folders with duplicate names — fixed.
  • Newly created channels won't have the default text message assigned until refreshed — fixed.
  • Under some circumstances, WatzNew™ won't validate action fields, allowing to create actions with wrong parameters — fixed.
  • WatzNew™ would ignore 'Invisible' property of actions — fixed.
  • '</p>' tags won't be removed from plain-text messages (when copying to clipboard or displaying them as tray popup hints — fixed.
  • Fixed a bug in installer when it would try to execute WatzNew™ on exit on some cases, even if WatzNew™ installation was aborted.
  • WatzNew™ would not allow to change text case in the channel's title, telling "The channel with such a name already exists" — fixed.
  • When testing search pattern in Channel Properties window, source HTML wouldn't be converted properly, thus resulting in false alert next time the channel was updated.

See next

<...>

Version 1.8

Version 1.7

Version 1.6

Version 1.5

Version 1.4

Version 1.3

Version 1.2

Version 1.1 Final Release

Version 1.1 Pre-Release 2

Version 1.1 Pre-Release 1

Version 1.0.3

Version 1.0.2

Version 1.0.1

Version 1.0.0 build 153

Version 1.0.0 build 149


A.I.Studio : Products : WatzNew™ Documentation : Legal Information

WatzNew™ Documentation > Legal Information

Legal Information

# Copyright Information
# Use of Web Site
# Use of Software
# Warranties and Disclaimers
# Trademark Information

Copyright Information

The information on this Web site is protected by copyright:

Copyright © 1998–2002 A.I.Studio. All rights reserved.

Except as specifically permitted herein or expressly provided in agreement between you and A.I.Studio, no portion of the information on this Web site nor it's design may be reproduced in any form or by any means without the prior written permission from A.I.Studio.

Use of Web Site

Except as otherwise indicated elsewhere on this site, you may view, copy, print, and distribute documents available on this Web site subject to the following conditions:

  1. The document may be used solely for personal, informational, non-commercial purposes;
  2. The document may not be modified or altered in any way;
  3. Any copy of the document or portion thereof must include the copyright notice above and this permission notice; and
  4. A.I.Studio reserves the right to revoke such authorization at any time, and any such use shall be discontinued immediately upon written notice from A.I.Studio.

Use of Software

The software and accompanying documentation that are made available to download from this Web site are the copyrighted work of A.I.Studio. Use of the software is governed by the terms of the end user license agreement, which is included with such software. If you do not agree to these terms, you are not authorized to use the software.

Warranties and Disclaimers

EXCEPT AS EXPRESSLY PROVIDED OTHERWISE IN AN AGREEMENT BETWEEN YOU AND A.I.STUDIO, ALL INFORMATION AND SOFTWARE ON THIS WEB SITE ARE PROVIDED "AS IS" WITHOUT ANY OTHER WARRANTIES OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABLE QUALITY, SATISFACTORY QUALITY, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, OR THOSE ARISING BY LAW, STATUTE, USAGE OF TRADE, OR COURSE OF DEALING. A.I.STUDIO ASSUMES NO RESPONSIBILITY FOR ERRORS OR OMISSIONS IN THE INFORMATION OR SOFTWARE OR OTHER DOCUMENTS WHICH ARE REFERENCED BY OR LINKED TO THIS WEB SITE.

REFERENCES TO CORPORATIONS, THEIR SERVICES AND PRODUCTS, ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED. IN NO EVENT SHALL A.I.STUDIO BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER, INCLUDING, WITHOUT LIMITATION, THOSE RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS INFORMATION.

Trademark Information

«WatzNew™», «Your Smart Web Site Monitoring Agent™», WatzNew™ Logo and A.I.Studio Logo are trademarks of A.I.Studio.

Windows® is a registered trademark of Microsoft Corporation.

ActivePerl is a trademark of ActiveState Corporation.

All other trademarks mentioned on this web site are the property of their respective owners.

See next

<...>

Legal Information

© 1998–2002 A.I.Studio. All rights reserved.
Contacts | Legal Information


A.I.Studio : Products : WatzNew™ Documentation : Purchase

Index | Owner's Manual | FAQ | Version History | Purchase | Web Site (online)
WatzNew™ Documentation > Purchase

Purchase

# On-line Registration
# Off-line Registration

Dear customers! The registration scheme in WatzNew™ 1.8 has been changed since WatzNew™ 1.6. If you are a registered WatzNew™ 1.6 or below user, you can obtain new registration code for WatzNew™ 1.8 for free. Contact our sales department to get your code. Please provide your exact registration name in the letter.

On-line Registration

If you would like to purchase WatzNew™, you can do the registration securely online at the ShareIt! web site.

If you experience any difficulties purchasing WatzNew™ at ShareIt!, you can try our alternative registration service — RegNow.

Ex-USSR users please click here.

Your language Price Quantity
US $24.95

Volume discounts are available. All prices are subject to change without notice.

After the registration is complete and verified, the letter with the registration key will be sent to you by e-mail.

Off-line Registration

You can also fill out the enclosed with WatzNew™ setup package form (ORDER.TXT) completely and fax or mail it to:

ShareIt!
element 5 AG
Sachsenring 69
50677 Koeln
Germany

Phone: +49-221-2407279
Fax: +49-221-2407278
E-Mail: register@shareit.com

US customers may also order by calling 1-800-903-4152 (orders only please!). US check and cash orders can be sent to US office at

ShareIt! Inc.
PO Box 844
Greensburg, PA 15601-0844
USA

Tel. 724-850-8186
Fax. 724-850-8187

See next

Index

Owner's Manual

FAQ

Version History

Purchase

Web Site (online)